Bug 10180 - Сделать pmount locale чувствительным
: Сделать pmount locale чувствительным
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pmount)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://wiki.sisyphus.ru/admin/IvmanAu...
:
:
: 10199
  Show dependency tree
 
Reported: 2006-10-23 17:04 by
Modified: 2007-09-21 15:30 (History)


Attachments
Патч (правда старый) (1.44 KB, text/plain)
2006-12-19 20:09, Igor Zubkov
no flags Details
Патч для pmount.c и configure.ac (1.73 KB, patch)
2007-08-25 23:04, Alexei V. Mezin
no flags Details | Diff
spec для сборки пакета (3.88 KB, text/plain)
2007-08-25 23:05, Alexei V. Mezin
no flags Details
Новый патч: добавляет --with-natspec (2.11 KB, patch)
2007-08-29 00:00, Alexei V. Mezin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-10-23 17:04:54
Было бы очень хорошо если pmount выставлял charset (опция -с) по умолчанию в
соответствии с пользовательской локалью.  Сейчас он так и делает, но только
если
локаль utf8.  Не вижу причин почему это не следует делать и для всех других
локалей.  Разумеется, явное указание -c всегда может прекрыть данное умолчание.
------- Comment #1 From 2006-10-23 17:44:52 -------
на нового маинтейнера
------- Comment #2 From 2006-10-24 02:22:22 -------
Специально для этих целей сделана natspec, которая чувствительна к локали:
http://www.freesource.info/wiki/Lokalizacija/BibliotekaNATSPEC
См. также
https://bugzilla.altlinux.org/show_bug.cgi?id=6235
https://bugzilla.altlinux.org/show_bug.cgi?id=6288
------- Comment #3 From 2006-10-28 01:45:47 -------
По ссылке есть ссылка на патч к pmount
------- Comment #4 From 2006-10-28 01:57:15 -------
(In reply to comment #3)
> По ссылке есть ссылка на патч к pmount

Уже сходил, нету там ничего. :(
------- Comment #5 From 2006-12-19 20:09:18 -------
Created an attachment (id=1724) [details]
Патч (правда старый)

Аттачу патч, что бы не потерялся.
------- Comment #6 From 2007-01-09 02:20:20 -------
re
------- Comment #7 From 2007-05-21 10:11:42 -------
Похоже надо сделать-таки, и будет некоторым счастье?
Кто-нибудь возьмётся?
------- Comment #8 From 2007-08-25 19:47:45 -------
2 icesik: зальёшь?  С меня пыво :)
------- Comment #9 From 2007-08-25 23:04:04 -------
Created an attachment (id=2165) [details]
Патч для pmount.c и configure.ac
------- Comment #10 From 2007-08-25 23:05:39 -------
Created an attachment (id=2166) [details]
spec для сборки пакета

Спек-файл для сборки пакета. Желательно проконтролировать release и внести
правку в секцию changelog
------- Comment #11 From 2007-08-25 23:08:53 -------
Очень, очень нужно, чтоб pmount сам определял кодировку, в которой монтировать
ФС, иначе нет русских букв на сменных носителях для систем с локалью, отличной
от UTF.

Упомянутый ранее патч вполне работает. Я его немного "причесал", и подправил
spec, пакет собирается (changelog только исправить). 
------- Comment #12 From 2007-08-27 14:12:05 -------
Не хочу, но придётся слазить...
------- Comment #13 From 2007-08-29 00:00:01 -------
Created an attachment (id=2169) [details]
Новый патч: добавляет --with-natspec

Новый патч, добавляющий опцию --with-natspec в configure (по умолчанию
отключено). Сделан для того, чтоб можно было собрать pmount БЕЗ использования
libnatspec. В spec-файл нужно добавить опцию --with-natspec.
------- Comment #14 From 2007-08-29 18:52:37 -------
Проверю и скоро обправлю в Сизиф.
------- Comment #15 From 2007-08-29 19:33:06 -------
fixed in pmount-0.9.16-alt2.src.rpm